## grendel.view
Interface MessageSetViewObserver

public abstract interface MessageSetViewObserver

Anyone who wants to know when messages are added, removed, or tweaked in a MessageSetView can implement this and add themselves to that MessageSetView's list of observers.

Method Summary
`void` | `messagesChanged(java.util.Enumeration inserted, java.util.Enumeration deleted, java.util.Enumeration changed)` Some messages changed.

Method Detail

### messagesChanged

    public void messagesChanged(java.util.Enumeration inserted,
                                java.util.Enumeration deleted,
                                java.util.Enumeration changed)

  Some messages changed. Each enumeration parameter might be null, or it might be an enumeration of ViewedMessage objects.
  Parameters:
    `inserted` - new messages that have appeared
    `deleted` - old messages that are no longer considered part of the MessageSetView
    `changed` - Messages that have had their internals tweaked in some way